#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Perl
%define		pnam	Tidy
Summary:	Perltidy - a tool to indent and reformat Perl scripts
Summary(pl.UTF-8):	Perltidy - narzędzie do reformatowania skryptów Perla
Name:		perltidy
Version:	20181119
Release:	1%{?tld}
License:	GPL v2+
Group:		Development/Tools
Source0:	http://www.cpan.org/modules/by-module/Perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6503132f8ef74ddf54cbe69e1d9f2f47
Patch0:		%{name}-makefile.patch
URL:		http://perltidy.sourceforge.net/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perltidy reads a Perl script and writes an indented, reformatted
script.

%description -l pl.UTF-8
Perltidy odczytuje skrypt Perla i zapisuje go w postaci
zreformatowanej, z wcięciami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf examples/README
cp -p examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__rm} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/pt.bat
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Perl/Tidy.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS.md CHANGES.md COPYING INSTALL.md README.md
%attr(755,root,root) %{_bindir}/perltidy
%{perl_vendorlib}/Perl/Tidy.pm
%{_mandir}/man1/perltidy.1p*
%{_mandir}/man3/Perl::Tidy.3pm*
%{_mandir}/man3/Perl::Tidy::Formatter.3pm*
%{perl_vendorlib}/Perl/Tidy
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/README.gz
%{_examplesdir}/%{name}-%{version}/filter_example.in
%{_examplesdir}/%{name}-%{version}/lextest
%{_examplesdir}/%{name}-%{version}/test*.t
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perltidy.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 099e945
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Nov 19 2018 Adam Gołębiowski <adamg@pld-linux.org> da73987
- updated to 20181119

* Thu Nov 01 2018 Adam Gołębiowski <adamg@pld-linux.org> 7c4a4e6
- updated to 20180220

* Thu Nov 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 05519b2
- updated to 20160302

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> cad7f3b
- updated to 20120714

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 85c70ad
- updated to 20090616

* Tue Jan 08 2008 Jakub Bogusz <qboosh@pld-linux.org> bbc4dde
- updated md5

* Tue Jan 08 2008 Maciej Pijanka <agaran@pld-linux.org> cff7a6b
- up to 20071205, rel 1, builds here

* Sun May 06 2007 Adam Gołębiowski <adamg@pld-linux.org> 461d240
- updated to 20070504 (from Adam Skucinski <askucins (at) gmail.com>)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3234442
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9efeae5
- converted to UTF-8

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> b112736
- perl epoch

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> ac8310d
- updated to 20031021, new-style bcond

* Sat Aug 23 2003 radek <radek@pld-linux.org> 656c404
- version 20030726

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 83b2d02
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 26d61d4
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Apr 23 2003 radek <radek@pld-linux.org> 1543b3d
- updated for perl-5.8.0
- BR: perl-devel,  BuildArch: noarch
- release 2

* Mon Mar 10 2003 Jakub Bogusz <qboosh@pld-linux.org> d269e89
- working Source URL

* Mon Feb 24 2003 radek <radek@pld-linux.org> 246c8fb
- use the __perl macro

* Sun Jan 26 2003 radek <radek@pld-linux.org> 658e5ea
- version 20021130
- made tests conditional

